# $Id: runit.spec,v 1.1 2016/02/07 21:09:42 stephdl Exp $

Summary: a UNIX init scheme with service supervision
Name: runit
Version: 2.1.2
Release: 1%{?dist}
License: BSD style
Group: System Enviornment/Daemons
Url: http://smarden.org/runit/
Source: %{name}-%{version}.tar.gz
Source1: runit.svup
Source2: runit.svdown
Source3: runit.svdepcalc
Source4: runit.dependencies.README
BuildRequires: dietlibc
BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}.root
%description

runit is a daemontools alike replacement for sysvinit and other init
schemes. runit runs on GNU/Linux, OpenBSD, FreeBSD, and can easily be
adapted to other unix operating systems. If runit runs for you on any
other operating system or Linux distribution, please let me know.

Warning: Replacing sysvinit or init can cause the system's boot to
fail. Make sure you are able to recover and repair your system, for
example if you run a boot loader, it should be able to pass init=/bin/sh
to the kernel.

%changelog
* Sun Feb 7 2016 stephane de labrusse <stephdl@de-labrusse.fr> 2.1.2-1
- Build new rpm for sme10

* Tue Nov 11 2014 Daniel Berteaud <daniel@firewall-services.com> - 2.1.2-1
- Update to 2.1.2 [SME: 8655]

* Mon Oct 6 2008 Shad L. Lords <slords@mail.com>
- Update to 2.0.0 [SME: 4628]

* Sun Apr 29 2007 Shad L. Lords <slords@mail.com>
- Clean up spec so package can be built by koji/plague

* Fri Feb 16 2007 Shad L. Lords <slords@mail.com>
- Update to 1.7.2

* Thu Dec 07 2006 Shad L. Lords <slords@mail.com>
- Update to new release naming.  No functional changes.
- Make Packager generic

* Thu Nov 09 2006 Charlie Brady <charlie_brady@mitel.com> 1.7.1-01
- Update to 1.7.1

* Wed Nov 01 2006 Charlie Brady <charlie_brady@mitel.com> 1.7.0-02
- Build with dietlibc

* Wed Nov 01 2006 Charlie Brady <charlie_brady@mitel.com> 1.7.0-01
- Update to 1.7.0

* Thu Jun 29 2006 Charlie Brady <charlie_brady@mitel.com> 1.6.0-01
- Update to 1.6.0

* Sun May 28 2006 Charlie Brady <charlie_brady@mitel.com> 1.5.1-01
- Update to 1.5.1

* Fri Feb 03 2006 Charlie Brady <charlie_brady@mitel.com> 1.3.3-01
- Update to 1.3.3

* Wed Aug 31 2005 Charlie Brady <charlieb@e-smith.com> 1.3.1-01
- Update to 1.3.1.

* Sun Jan 16 2005 Charlie Brady <charlieb@e-smith.com> 1.2.1-01
- Update to 1.2.1.

* Mon Dec 20 2004 Charlie Brady <charlieb@e-smith.com> 1.2.0-01
- Update to 1.2.0.

* Thu Sep 23 2004 Charlie Brady <charlieb@e-smith.com> 1.0.5-01
- Update to 1.0.5.

* Tue May 11 2004 Charlie Brady <charlieb@e-smith.com> 1.0.2-01
- Update to 1.0.2.
- Do not build against uCLibc.

* Tue Nov 04 2003 Charlie Brady <charlieb@e-smith.com> 0.12.0-01
- Update to rev 0.12.0 (which includes the isup/isdown patch).

* Wed Oct 29 2003 Charlie Brady <charlieb@e-smith.com> 0.11.2-02
- Add dependency management and isupdown patches from Torne Wuff
  <torne-runit@wolfpuppy.org.uk>.
- Build against uClibc.
- Add missing man pages.

* Thu Oct 02 2003 Charlie Brady <charlieb@e-smith.com> 0.11.2-01
- Upgrade to version 0.11.2.

* Fri Jul 18 2003 Charlie Brady <charlieb@e-smith.com> 0.10-01
- Upgrade to version 0.10.0. Drop references to dietlibc (which wasn't
  actually used, but appears to have an incompatible license).

* Wed Jun 18 2003 Charlie Brady <charlieb@e-smith.com> 0.95-01
- Initial

%prep
%setup -c -n %{name}-%{version}

%build
cd admin/%{name}-%{version}
#Change the conf-cc and conf-ld to use diet
echo 'diet -Os gcc -O2 -Wall'    >src/conf-cc
echo 'diet -Os gcc -s -Os -pipe' >src/conf-ld
./package/compile

%install
cd  admin/%{name}-%{version}
mkdir -p $RPM_BUILD_ROOT/%{_bindir}
install %{SOURCE1} command/svisup
install %{SOURCE2} command/svisdown
install %{SOURCE3} command/svdepcalc
install %{SOURCE4} doc/dependencies.README
for i in $(cat package/commands) svisup svisdown svdepcalc
do
install command/$i $RPM_BUILD_ROOT/%{_bindir}
done
#mkdir -p $RPM_BUILD_ROOT/%{_mandir}/man1
#install man/*.1 $RPM_BUILD_ROOT/%{_mandir}/man1
mkdir -p $RPM_BUILD_ROOT/%{_mandir}/man8
install man/*.8 $RPM_BUILD_ROOT/%{_mandir}/man8

%clean
rm -r $RPM_BUILD_ROOT

%files
%defattr(-,root,root)
%{_bindir}/*
%doc %{_mandir}/man8/*
#%{_mandir}/man1/*
%doc admin/%{name}-%{version}/package/COPYING
%doc admin/%{name}-%{version}/doc/*
